libzypp 17.38.15

RepoInfo.h File Reference
`#include <list>`
`#include <set>`
`#include <zypp-core/base/Iterator.h>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/MirroredOrigin.h>`
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/Url.h>`
`#include <zypp/Locale.h>`
`#include <zypp/repo/RepoType.h>`
`#include <zypp/repo/RepoVariables.h>`
`#include <zypp/repo/RepoInfoBase.h>`

Go to the source code of this file.

## Classes
class | zypp::RepoInfo
| What is known about a repository. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::RepoInfo_Ptr = shared_ptr<RepoInfo>
| relates: RepoInfo
using | zypp::RepoInfo_constPtr = shared_ptr<const RepoInfo>
| relates: RepoInfo
using | zypp::RepoInfoList = std::list<RepoInfo>
| relates: RepoInfo

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const RepoInfo &obj)
| relates: RepoInfo Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const RepoInfo::GpgCheck &obj) ZYPP_API
| relates: RepoInfo::GpgCheck Stream output